package main

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestTwo(t *testing.T) {
	//t.Skip("skipping test")
	input := []string{
		"two1nine",
		"eightwothree",
		"abcone2threexyz",
		"xtwone3four",
		"4nineeightseven2",
		"zoneight234",
		"7pqrstsixteen",
	}
	retval, _ := two(input)

	t.Run("Return the sum of all calibrated numbers, solution two", func(t *testing.T) {
		assert.Equal(t, 281, retval)
	})
}
