package main

import (
	"testing"

	"github.com/go-playground/assert"
)

func TestTranspose(t *testing.T) {
	//t.Skip("skipping test")

	img := newImg()
	img.raw = []string{"#.##", "..#.", "##.."}
	expected := []string{"#.#", "#..", ".##", "..#"}

	t.Run("Should flip the image ninety degrees rightwards", func(t *testing.T) {
		assert.Equal(t, expected, img.transposed())
	})
}
