package main

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestOne(t *testing.T) {
	//t.Skip("skipping test")
	input := []string{
		"1abc2",
		"pqr3stu8vwx",
		"a1b2c3d4e5f",
		"treb7uchet",
	}
	retval, _ := one(input)

	t.Run("Return the sum of all calibrated numbers, solution one", func(t *testing.T) {
		assert.Equal(t, 142, retval)
	})
}
